Properties

Return a list of properties in your group, or return detailed information for a specific property contained in your group.

Paginates all properties based on permissions

get

Retrieve the uuid and name for all properties which you have access to

Authorizations
x-sm-api-keystringRequired
Query parameters
pageinteger · min: 1Optional

page number (defaults to 1)

perPageinteger · min: 1 · max: 50Optional

items per page (defaults to 10)

Header parameters
x-sm-api-keystringRequired

access token retrieved from Multi-Property Platform

Responses
chevron-right
200

OK

application/json
pageintegerOptional

page number

perPageintegerOptional

number of records per page

totalintegerOptional

total number of records

totalPagesintegerOptional

total number of pages

get
/properties

Retrieve property details

get

Retrieve detailed information for a property.

Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired

uuid for a property

Header parameters
x-sm-api-keystringRequired

access token retrieved from Multi-Property Platform

Responses
chevron-right
200

OK

application/json
uuidstringOptional

This will return the uuid assigned to the property in the SiteMinder Direct Booking product

namestringOptional

The property name as it appears in the SiteMinder Direct Booking product

latitudenumberOptional

This will return the latitude of the of the selected property

longitudenumberOptional
timezoneIdstringOptional

this will be the IANA timezone of the selected property

currencystringOptional

property's currency in ISO-4217 format (3-letter isocode)

bookingEngineUrlstringOptional

booking link to the select property's Booking Engine

get
/properties/{propertyUuid}

Last updated

Was this helpful?